> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Substituir formações e idiomas por CPF

> Remove todas as formações e idiomas do CPF e insere os novos em uma única transação



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json put /api/v1/empregabilidade/curriculo/{cpf}/formacoes
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/curriculo/{cpf}/formacoes:
    put:
      tags:
        - empregabilidade-curriculo
      summary: Substituir formações e idiomas por CPF
      description: >-
        Remove todas as formações e idiomas do CPF e insere os novos em uma
        única transação
      parameters:
        - description: CPF do usuário
          name: cpf
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/empregabilidade.FormacaoAccordionRequest'
        description: Formações e idiomas
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.FormacaoAccordionRequest:
      type: object
      properties:
        formacoes:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoFormacao'
        idiomas:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoIdioma'
    empregabilidade.CurriculoFormacao:
      type: object
      properties:
        ano_conclusao:
          type: string
        cpf:
          type: string
        created_at:
          type: string
        escolaridade:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Escolaridade'
        id:
          type: string
        id_escolaridade:
          type: string
        nome_curso:
          type: string
        nome_instituicao:
          type: string
        status:
          $ref: '#/components/schemas/empregabilidade.StatusFormacao'
        updated_at:
          type: string
    empregabilidade.CurriculoIdioma:
      type: object
      properties:
        cpf:
          type: string
        created_at:
          type: string
        id:
          type: string
        id_idioma:
          type: string
        id_nivel:
          type: string
        idioma:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Idioma'
        nivel:
          $ref: '#/components/schemas/empregabilidade.NivelIdioma'
        updated_at:
          type: string
    empregabilidade.Escolaridade:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.StatusFormacao:
      type: string
      enum:
        - Completo
        - Em andamento
        - Incompleto
      x-enum-varnames:
        - StatusFormacaoCompleto
        - StatusFormacaoEmAndamento
        - StatusFormacaoIncompleto
    empregabilidade.Idioma:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.NivelIdioma:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````